Bug 504776 - package cobbler 1.6.5-6.el4sat requires syslinux
package cobbler 1.6.5-6.el4sat requires syslinux
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Brad Buckingham
http://rhts.redhat.com/cgi-bin/rhts/j...
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-06-09 07:28 EDT by Jan Hutař
Modified: 2009-09-10 16:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:37:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhn-installation.log (6.61 KB, text/plain)
2009-06-09 07:28 EDT, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2009-06-09 07:28:23 EDT
Created attachment 347006 [details]
rhn-installation.log

Description of problem:
Dependency issue when installing re20090605.1 on RHEL4-U7 on x86_64 (registered against WebQA). Installation works on other archs.


Version-Release number of selected component (if applicable):
re20090605.1 for RHEL4-U7


How reproducible:
always


Steps to Reproduce:
1. see job http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=63754


Actual results:
[...]
ERROR: RPM dependency error.  The message was:
Dependencies should have already been resolved, but they are not.
Unresolved rpm dependencies:

Package cobbler  1.6.5-6.el4sat requires syslinux


Expected results:
No dependency issues


Additional info:
http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=63754
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=8467581
Comment 1 Clifford Perry 2009-06-09 10:38:42 EDT
Some OS installs suck up syslinux (by pure luck) for RHEL 4 base OS install in RHTS, some do not. Sounds like if we add it to the EL4 list of packages in installer for up2date to download, this should fix the bug. 

Assigning to Devan. Also, if you was doing non-RHTS installs, a quick 'up2date syslinux' prior to running installer would then allow you to successfully install. 

Cliff
Comment 2 Jan Hutař 2009-06-09 12:15:49 EDT
Yes, but if up2date can handle it, I do not understand why the dependency is not resolved in the installation time :-/
Comment 6 Devan Goodwin 2009-06-10 18:18:42 EDT
Cliff has explained that the RHEL 4 installation process does not automatically resolve dependencies as RHEL 5 does. On RHEL 4 we first download a list of packages with up2date as per the rhelrpms file, *then* we proceed to install the Satellite packages with rpm, so if a new dependency appears there we will have an error.

As he mentions above suspicion is that syslinux is already installed on the i386 test systems but not for x86_64.

Added syslinux to these two files and committed with:

Checking in 4/RHN-Satellite-5.3/updates/rhelrpms.i386/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.3/updates/rhelrpms.i386/rhelrpms,v  <--  rhelrpms
new revision: 1.6; previous revision: 1.5
done
Running syncmail...
Mailing dgregor@redhat.com...
...syncmail done.
Checking in 4/RHN-Satellite-5.3/updates/rhelrpms.x86_64/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.3/updates/rhelrpms.x86_64/rhelrpms,v  <--  rhelrpms
new revision: 1.6; previous revision: 1.5
Comment 7 Devan Goodwin 2009-06-11 09:15:09 EDT
Confirmed on an x86_64 RHTS box, syslinux is *not* installed by default.

Attempted a Satellite installation which failed with the issue reported here.

Manually copied the satellite ISO and modified rhelrpms file as per the commit that went into CVS, dependencies now resolve.

Fix will land in next ISO.
Comment 8 Brad Buckingham 2009-07-10 16:14:15 EDT
Verified on Satellite-5.3.0-RHEL4-re20090709.0-x86_64-embedded-oracle.iso.

Installation succeeded w/o dependency errors.
Comment 9 Milan Zázrivec 2009-08-13 05:22:11 EDT
Verified in stage, syslinux gets pulled in, installation proceeds ->
RELEASE_PENDING
Comment 10 Brandon Perkins 2009-09-10 16:37:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.